## cmd2 0.6.9

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/cmd2.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/cmd2.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## cmd2 0.6.3

=== debian/changelog ===
cmd2 (0.6.3-1) unstable; urgency=low

  * Initial release (Closes: #647033)

 -- Federico Ceratto <federico.ceratto@gmail.com>  Tue, 25 Oct 2011 18:33:50 +0100

=== debian/control ===
Source: cmd2
Section: python
Priority: optional
Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
DM-Upload-Allowed: yes
Build-Depends:
 debhelper (>= 8.0.0~)
Build-Depends-Indep:
 python-all (>= 2.6.6-3~)
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: http://www.assembla.com/wiki/show/python-cmd2
Vcs-Git: git://git.debian.org/collab-maint/cmd2.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/cmd2.git;a=summary

Package: python-cmd2
Architecture: all
Depends: ${misc:Depends}
 , ${python:Depends}
Description: enhanced Python cmd module
 Drop-in replacement adds several features for command-prompt tools, like
 searchable and persistent command history, multi-line commands, input and
 output redirections, integrated Python shell, testing helpers

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
%:
	dh $@ --with python2

## cmd2 0.6.4

=== debian/changelog ===
cmd2 (0.6.4-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version bumped to 3.9.3, minor updates.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Mon, 28 May 2012 21:28:35 +0100

cmd2 (0.6.3-2) unstable; urgency=low

  * Dependency to python-setuptools added

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sat, 05 Nov 2011 15:32:19 +0000

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,18 @@
  debhelper (>= 8.0.0~)
 Build-Depends-Indep:
  python-all (>= 2.6.6-3~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
-Homepage: http://www.assembla.com/wiki/show/python-cmd2
-Vcs-Git: git://git.debian.org/collab-maint/cmd2.git
+Homepage: https://bitbucket.org/catherinedevlin/cmd2
+Vcs-Git: git://git.debian.org/git/collab-maint/cmd2.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/cmd2.git;a=summary
 
 Package: python-cmd2
 Architecture: all
 Depends: ${misc:Depends}
  , ${python:Depends}
+ , python-setuptools (>= 0.6.14)
+Provides: ${python:Provides}
 Description: enhanced Python cmd module
  Drop-in replacement adds several features for command-prompt tools, like
  searchable and persistent command history, multi-line commands, input and

## cmd2 0.6.7

=== debian/changelog ===
cmd2 (0.6.7-2fakesync1build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:46:28 +0000

cmd2 (0.6.7-2fakesync1) trusty-proposed; urgency=low

  * Fake sync due to mismatching orig tarball (LP: #1252528).

 -- Logan Rosen <logatronico@gmail.com>  Tue, 19 Nov 2013 08:43:40 +0100

cmd2 (0.6.7-2) unstable; urgency=medium

  * Remove dependency on setuptools for Python2 (Closes: #725867)

 -- Federico Ceratto <federico.ceratto@gmail.com>  Wed, 09 Oct 2013 17:09:22 +0100

cmd2 (0.6.7-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Adds support for python3 (and corresponding build-depends).
  * Fixed missing python-setuptools build-depends.
  * Added extend-diff-ignore = "^[^/]*[.]egg-info/" in debian/source/options.
  * Added rm -rf build in dh_clean target.
  * VCS URLs now canonical.

 -- Thomas Goirand <zigo@debian.org>  Sat, 05 Oct 2013 08:46:30 +0000

cmd2 (0.6.7-1) unstable; urgency=low

  * New upstream release. (Closes: #724206)

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sat, 28 Sep 2013 15:14:53 +0100

cmd2 (0.6.6.1-1) unstable; urgency=low

  * New upstream release.
  * dpkg Pre-Depends added.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Wed, 21 Aug 2013 22:26:20 +0100

cmd2 (0.6.5.1-1) unstable; urgency=low

  * d/changelog: New upstream release 0.6.5.1
  * Standards-Version bumped to 3.9.4, minor updates

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sun, 05 May 2013 13:24:20 +0100

cmd2 (0.6.4-2) experimental; urgency=low

  * Dependency to python-pyparsing added
  * Debhelper version bumped to 9

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sun, 16 Sep 2012 16:50:46 +0100

=== debian/control ===
Source: cmd2
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
Build-Depends: debhelper (>= 9~),
               python-all (>= 2.6.6-3~),
               python3-all,
               python3-setuptools
Standards-Version: 3.9.4
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.2
Homepage: https://bitbucket.org/catherinedevlin/cmd2
Vcs-Git: git://anonscm.debian.org/collab-maint/cmd2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cmd2.git;a=summary

Package: python-cmd2
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-pyparsing (>= 2.0.1),
         python-setuptools (>= 0.6.14),
         ${misc:Depends},
         ${python:Depends}
Recommends: ${python:Recommends}
Provides: ${python:Provides}
Description: enhanced Python cmd module - Python 2.x
 Drop-in replacement adds several features for command-prompt tools, like
 searchable and persistent command history, multi-line commands, input and
 output redirections, integrated Python shell, testing helpers
 .
 This package provides the Python 2.x module.

Package: python3-cmd2
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3-pyparsing (>= 2.0.1),
         python3-setuptools (>= 0.6.14),
         ${misc:Depends},
         ${python3:Depends}
Recommends: ${python3:Recommends}
Provides: ${python3:Provides}
Description: enhanced Python cmd module - Python 3.x
 Drop-in replacement adds several features for command-prompt tools, like
 searchable and persistent command history, multi-line commands, input and
 output redirections, integrated Python shell, testing helpers
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-cmd2; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-cmd2; \
	done

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/c/cmd2/cmd2-([\d\.]*)\.tar\.gz

## cmd2 0.6.8

=== debian/changelog ===
cmd2 (0.6.8-1) unstable; urgency=low

  * New upstream release.
  * Add patch to support Python 3.5 (Closes: #798681)
  * Switch to Pybuild, add README.txt

 -- Federico Ceratto <federico@debian.org>  Thu, 21 Jan 2016 12:19:27 +0000

=== debian/control ===
Source: cmd2
Section: python
Priority: optional
Maintainer: Federico Ceratto <federico@debian.org>
Build-Depends: debhelper (>= 9~),
Build-Depends-Indep:
 dh-python,
 python-all (>= 2.6.6-3~),
 python-setuptools,
 python3-all,
 python3-setuptools
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Homepage: https://bitbucket.org/catherinedevlin/cmd2
Vcs-Git: https://anonscm.debian.org/git/collab-maint/cmd2.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/cmd2.git;a=summary

Package: python-cmd2
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}
Recommends: ${python:Recommends}
Provides: ${python:Provides}
Description: enhanced Python cmd module - Python 2.x
 Drop-in replacement adds several features for command-prompt tools, like
 searchable and persistent command history, multi-line commands, input and
 output redirections, integrated Python shell, testing helpers
 .
 This package provides the Python 2.x module.

Package: python3-cmd2
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Provides: ${python3:Provides}
Description: enhanced Python cmd module - Python 3.x
 Drop-in replacement adds several features for command-prompt tools, like
 searchable and persistent command history, multi-line commands, input and
 output redirections, integrated Python shell, testing helpers
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=cmd2

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf cmd2.egg-info
	dh_auto_clean

=== debian/watch ===
version=3

opts=uversionmangle=s/(rc|a|b|c)/~$1/ http://pypi.debian.net/cmd2/cmd2-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## cmd2 0.6.9

=== debian/changelog ===
cmd2 (0.6.9-1) unstable; urgency=medium

  * New upstream release.

 -- Federico Ceratto <federico@debian.org>  Sun, 16 Oct 2016 22:28:02 +0100

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
  python-setuptools,
  python3-all,
  python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
 Homepage: https://bitbucket.org/catherinedevlin/cmd2
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/cmd2.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/cmd2.git;a=summary
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cmd2.git
 
 Package: python-cmd2
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,6 @@
 override_dh_auto_clean:
 	rm -rf cmd2.egg-info
 	dh_auto_clean
+
+override_dh_installchangelogs:
+	dh_installchangelogs CHANGES.rst

## cmd2 0.7.4

=== debian/changelog ===
cmd2 (0.7.4-1) unstable; urgency=medium

  * New upstream release.

 -- Federico Ceratto <federico@debian.org>  Sat, 08 Jul 2017 13:36:21 +0100

cmd2 (0.7.3-1) unstable; urgency=medium

  * New upstream release.

 -- Federico Ceratto <federico@debian.org>  Sun, 02 Jul 2017 14:46:20 +0100

cmd2 (0.7.2-2) unstable; urgency=medium

  * Upload to Unstable

 -- Federico Ceratto <federico@debian.org>  Sun, 25 Jun 2017 17:54:58 +0100

cmd2 (0.7.2-1) experimental; urgency=medium

  * New upstream release.

 -- Federico Ceratto <federico@debian.org>  Mon, 22 May 2017 22:35:17 +0100

cmd2 (0.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Federico Ceratto <federico@debian.org>  Thu, 23 Feb 2017 19:58:11 +0000

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
 Build-Depends-Indep:
  dh-python,
  python-all (>= 2.6.6-3~),
+ python-pyperclip,
  python-setuptools,
  python3-all,
+ python3-pyperclip,
  python3-setuptools
 Standards-Version: 3.9.8
 X-Python-Version: >= 2.7

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=cmd2

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.md

## cmd2 0.7.9

=== debian/changelog ===
cmd2 (0.7.9-0ubuntu1) bionic; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/p/drop-import-gtk.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 23 Jan 2018 14:58:09 -0500

cmd2 (0.7.7-1ubuntu1) bionic; urgency=medium

  * d/p/drop-import-gtk.patch: Drop import of gtk now that pyperclip uses gi.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 19 Dec 2017 16:47:30 -0500

cmd2 (0.7.7-1) unstable; urgency=medium

  * New upstream release.

 -- Federico Ceratto <federico@debian.org>  Sun, 27 Aug 2017 13:30:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cmd2
 Section: python
 Priority: optional
-Maintainer: Federico Ceratto <federico@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Federico Ceratto <federico@debian.org>
 Build-Depends: debhelper (>= 9~),
 Build-Depends-Indep:
  dh-python,
@@ -15,8 +16,8 @@
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
 Homepage: https://bitbucket.org/catherinedevlin/cmd2
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/cmd2.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cmd2.git
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/cmd2
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/cmd2
 
 Package: python-cmd2
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 	dh $@ --with python2,python3 --buildsystem=pybuild
 
 override_dh_installchangelogs:
-	dh_installchangelogs CHANGES.md
+	dh_installchangelogs CHANGELOG.md

## cmd2 0.8.5

=== debian/changelog ===
cmd2 (0.8.5-2.1ubuntu0.1) focal; urgency=medium

  * Fix crash when headless system does not have Gtk libraries installed (LP: #1945661)
    - d/p/lp1945661.patch: Backport patch from cmd2 0.9.17

 -- Tom Moyer <tom.moyer@canonical.com>  Wed, 01 May 2024 15:08:44 +0000

cmd2 (0.8.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #936312

 -- Sandro Tosi <morph@debian.org>  Fri, 18 Oct 2019 22:28:11 -0400

cmd2 (0.8.5-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Add python-enum32 to D + B-D (Closes: #902514)
  * Add python-contextlib2 to D + B-D (Closes: #902518)
  * Add python{,3}-wcwidth to D + B-D
  * Enable autopkgtest-pkg-python testsuite
  * d/control: Remove ancient X-Python-Version field

  [ Federico Ceratto ]
  * Bump up Standards-Version

 -- Federico Ceratto <federico@debian.org>  Thu, 12 Jul 2018 18:19:48 +0100

cmd2 (0.8.5-1) unstable; urgency=medium

  * New upstream release.

 -- Federico Ceratto <federico@debian.org>  Mon, 14 May 2018 18:23:06 +0100

cmd2 (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Patch out GTK import (Closes: #884875) Thanks to Corey Bryant

 -- Federico Ceratto <federico@debian.org>  Sat, 24 Feb 2018 15:23:23 +0000

cmd2 (0.7.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Added patch to make cmd2 work with newer pyperclip (Closes: #888080).

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Feb 2018 08:57:32 +0000

=== debian/control ===
Source: cmd2
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Federico Ceratto <federico@debian.org>
Build-Depends: debhelper (>= 11~),
Build-Depends-Indep:
 dh-python,
 python3-all,
 python3-pyperclip,
 python3-setuptools,
 python3-wcwidth,
Standards-Version: 4.1.5
X-Python3-Version: >= 3.5
Homepage: https://github.com/python-cmd2/cmd2
Vcs-Git: https://salsa.debian.org/debian/python-cmd2.git
Vcs-Browser: https://salsa.debian.org/debian/python-cmd2
Testsuite: autopkgtest-pkg-python

Package: python3-cmd2
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python3:Depends},
 python3-wcwidth,
Recommends: ${python3:Recommends}
Provides: ${python3:Provides}
Breaks: python3-pyperclip (<< 1.6.0-1)
Description: enhanced Python cmd module - Python 3.x
 Drop-in replacement adds several features for command-prompt tools, like
 searchable and persistent command history, multi-line commands, input and
 output redirections, integrated Python shell, testing helpers
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=cmd2

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

=== debian/watch ===
version=3

opts=uversionmangle=s/(rc|a|b|c)/~$1/ https://pypi.debian.net/cmd2/cmd2-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## cmd2 1.5.0

=== debian/changelog ===
cmd2 (1.5.0-1~bpo11+1) UNRELEASED; urgency=medium

  * bullseye-backports Rebuilt for bullseye.

 -- Federico Ceratto <federico@debian.org>  Sun, 14 Mar 2021 15:12:05 +0000

cmd2 (1.5.0-1) experimental; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 13 Mar 2021 14:13:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,26 @@
 Source: cmd2
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper (>= 11~),
+Maintainer: Federico Ceratto <federico@debian.org>
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep:
  dh-python,
  python3-all,
+ python3-attr,
+ python3-colorama,
+ python3-contextlib2,
  python3-pyperclip,
+ python3-pytest,
+ python3-pytest-mock,
  python3-setuptools,
- python3-wcwidth,
-Standards-Version: 4.1.5
-X-Python3-Version: >= 3.5
+ python3-setuptools-scm,
+ python3-wcwidth
+Standards-Version: 4.5.1
 Homepage: https://github.com/python-cmd2/cmd2
 Vcs-Git: https://salsa.debian.org/debian/python-cmd2.git
 Vcs-Browser: https://salsa.debian.org/debian/python-cmd2
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-cmd2
 Architecture: all

## cmd2 2.3.3

=== debian/changelog ===
cmd2 (2.3.3-1) unstable; urgency=medium

  * New upstream release (Closes: #1002463)
  * Thanks to Marc Dequènes

 -- Federico Ceratto <federico@debian.org>  Sat, 29 Jan 2022 11:54:11 +0000

cmd2 (2.1.2-1) unstable; urgency=medium

  * New upstream release (Closes: #984798)

 -- Federico Ceratto <federico@debian.org>  Mon, 16 Aug 2021 21:17:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,20 @@
 Section: python
 Priority: optional
 Maintainer: Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 13), debhelper
 Build-Depends-Indep:
  dh-python,
  python3-all,
  python3-attr,
- python3-colorama,
  python3-contextlib2,
  python3-pyperclip,
  python3-pytest,
+ python3-pytest-cov,
  python3-pytest-mock,
  python3-setuptools,
  python3-setuptools-scm,
  python3-wcwidth
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/python-cmd2/cmd2
 Vcs-Git: https://salsa.debian.org/debian/python-cmd2.git
 Vcs-Browser: https://salsa.debian.org/debian/python-cmd2

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,15 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+override_dh_auto_build:
+	rm -f tests/scripts/binary.bin
+	dh_auto_build
+
+override_dh_auto_test:
+	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} \
+		-m pytest -k 'not test_version and not test_path_completion_complete_user and \
+		not test_transcript and not test_find_editor_not_specified and \
+		not test_run_script_with_binary_file'"
+
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.md

=== debian/watch ===
version=4
https://pypi.debian.net/cmd2/cmd2-(\d+\.\d+\.\d+)\.tar\.gz

## cmd2 2.4.2+ds

=== debian/changelog ===
cmd2 (2.4.2+ds-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Trim trailing whitespace.

  [ Jochen Sprickerhof ]
  * Drop unused build dependency (Closes: #1026165)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Dec 2022 12:59:38 +0100

cmd2 (2.4.2+ds-2) unstable; urgency=medium

  * Team upload.
  * No-change upload for building on the buildds.

 -- Tobias Frost <tobi@debian.org>  Mon, 12 Sep 2022 10:16:17 +0200

cmd2 (2.4.2+ds-1) unstable; urgency=medium

  [ Josenilson Ferreira da Silva ]
  * New maintainer. (Closes: #1012662)
  * New upstream version 2.4.2+ds
  * debian: Create python-cmd2-doc.doc-base and python-cmd2-doc.docs
  * debian/clean: Include directories htmlcov and debian/html
  * debian/control:
     - Bumped Standards-Version to 4.6.1
     - Include Build-Depends: python3-sphinx
     - Include tags to create sphinx-doc
     - Package: python3-cmd2-doc
     - Architecture: all
     - Multi-Arch: foreign
     - Section: doc
     - Depends: ${misc:Depends},${sphinxdoc:Depends}
     - Description
     - Include Uploaders field with my name and email
     - Update maintainer to Debian Python Team
  * debian/copyright:
     - Include name new maintainer
     - Include tag Comment end files-Excluded to repack
  * dedian/patches:
     - Fixe file docs/conf.py to build sphinx-doc
     - Removed files fixed new version:
        - 001-drop-setuptools_scm.patch
        - 002-fix-libedit-readline.patch
  * debian/rules:
     - Include override_dh_auto_build to build sphinx HTML documentation
     - Removed line without effect: rm -f tests/scripts/binary.bin
     - Remove doctrees files to documentation sphinx
     - Remove all file '.js' sphinx documentation
     - Iclude test Ignore: test_utils.py
  * debian/source:
     - Remove lintian-overrides
  * debian/watch:
     - Include line: opts=dversionmangle=s/\+ds$//,repacksuffix=+ds \

  [ Federico Ceratto ]
  * New upstream version 2.3.3
  * Switching maintainer after orphaning package


 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 27 Aug 2022 11:16:06 -0300

=== debian/control ===
Source: cmd2
Section: python
Priority: optional
Maintainer: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Build-Depends: debhelper, debhelper-compat (= 13)
Build-Depends-Indep: dh-python,
                     python3-all,
                     python3-attr,
                     python3-pyperclip,
                     python3-pytest,
                     python3-pytest-cov,
                     python3-pytest-mock,
                     python3-setuptools,
                     python3-setuptools-scm,
                     python3-sphinx,
                     python3-wcwidth,
Standards-Version: 4.6.1
Homepage: https://github.com/python-cmd2/cmd2
Vcs-Git: https://salsa.debian.org/debian/python-cmd2.git
Vcs-Browser: https://salsa.debian.org/debian/python-cmd2
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-cmd2
Architecture: all
Depends: python3-wcwidth,
         ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends}
Provides: ${python3:Provides}
Suggests: python-cmd2-doc
Description: Enhanced Python cmd module - Python 3.x
 Drop-in replacement adds several features for command-prompt tools, like
 searchable and persistent command history, multi-line commands, input and
 output redirections, integrated Python shell, testing helpers
 .
 This package provides the Python 3.x module.

Package: python-cmd2-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Improved Python cmd2 module from (cammon documentation)
 Drop-in replacement adds several features for command-prompt tools, like
 searchable and persistent command history, multi-line commands, input and
 output redirections, integrated Python shell, testing helpers.
 .
 This package contains HTML documentation, incorporates instructions on how
 to install and configure and use this module Python cmd2.

## cmd2 2.4.3+ds

=== debian/changelog ===
cmd2 (2.4.3+ds-2) unstable; urgency=medium

  * Source-only upload to allow testing migration

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 11 Jul 2023 21:12:58 -0300

cmd2 (2.4.3+ds-1) unstable; urgency=medium

  * New upstream version 2.4.3+ds
  * debian/control: Bumped Standards-Version 4.6.2
  * debian/copyright: updated year to 2023

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 04 Jul 2023 09:42:49 -0300

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                      python3-setuptools-scm,
                      python3-sphinx,
                      python3-wcwidth,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/python-cmd2/cmd2
 Vcs-Git: https://salsa.debian.org/debian/python-cmd2.git
 Vcs-Browser: https://salsa.debian.org/debian/python-cmd2

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=cmd2
%:
	dh $@ --with python3 --buildsystem=pybuild
#Build sphinx HTML documentation
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -bhtml docs/ debian/html
#Skipping tests with unknown errors
override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} \
		-m pytest -k 'not test_version and not test_path_completion_complete_user and \
		not test_transcript and not test_find_editor_not_specified and \
		not test_run_script_with_binary_file and not test_utils.py'"

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md
#Remove all file '.js' sphinx documentation
override_dh_link:
	dh_link
	find debian/python-cmd2-doc/ -name '*.js' -delete
#Remove doctrees files
	rm -rf debian/python-cmd2-doc/usr/share/doc/python-cmd2-doc/html/.doctrees

## cmd2 2.5.4+ds

=== debian/changelog ===
cmd2 (2.5.4+ds-1) unstable; urgency=medium

  * New upstream version 2.5.4+ds
  * debian/clean:
     - Update in directory from package: doctrees and cmd2.egg-info
  * debian/control:
     - Added build-depends python3-sphinx-rtd-theme
     - Bumped Standards-Version to 4.7.0
     - Changed dh-python to dh-sequence-python3
  * debian/patches:debian/patches/001.fixe-doc-sphinx.patch:
     - Updated docs/conf.py file in new version
  * debian/python-cmd2-doc.docs:
     - Added html directory for documentation build
  * debian/python-cmd2-doc.links:
     - Created symbolic link to correct linitian embedded-javascript-library
  * debian/rules:
     - Adjustments to the construction of sphinx documentation

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 09 Nov 2024 09:18:02 -0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: python
 Priority: optional
 Maintainer: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
-Build-Depends: debhelper, debhelper-compat (= 13)
-Build-Depends-Indep: dh-python,
+Build-Depends: debhelper,
+               debhelper-compat (= 13)
+Build-Depends-Indep: dh-sequence-python3,
+                     pybuild-plugin-pyproject,
                      python3-all,
                      python3-attr,
                      python3-pyperclip,
@@ -13,8 +15,9 @@
                      python3-setuptools,
                      python3-setuptools-scm,
                      python3-sphinx,
-                     python3-wcwidth,
-Standards-Version: 4.6.2
+                     python3-sphinx-rtd-theme,
+                     python3-wcwidth
+Standards-Version: 4.7.0
 Homepage: https://github.com/python-cmd2/cmd2
 Vcs-Git: https://salsa.debian.org/debian/python-cmd2.git
 Vcs-Browser: https://salsa.debian.org/debian/python-cmd2
@@ -25,7 +28,7 @@
 Architecture: all
 Depends: python3-wcwidth,
          ${misc:Depends},
-         ${python3:Depends},
+         ${python3:Depends}
 Recommends: ${python3:Recommends}
 Provides: ${python3:Provides}
 Suggests: python-cmd2-doc

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=cmd2
%:
	dh $@  --buildsystem=pybuild

#Build sphinx HTML documentation
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -d debian/doctrees -bhtml docs/ debian/html

#Skipping tests with unknown errors
override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} \
		-m pytest -k 'not test_version and not test_path_completion_complete_user and \
		not test_transcript and not test_find_editor_not_specified and \
		not test_run_script_with_binary_file and not test_utils.py'"

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

override_dh_link:
	dh_link
	find debian/python-cmd2-doc/usr/share/doc/ -type f \( -name "*woff2*" -o -name "*woff*" -o -name "*ttf*" -o -name "*eot*" \) -delete

## cmd2 2.5.7+ds

=== debian/changelog ===
cmd2 (2.5.7+ds-1) unstable; urgency=medium

  * New upstream version 2.5.7+ds
  * debian/control: Update maintainer to Debian Python Team

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 01 Dec 2024 21:39:50 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cmd2
 Section: python
 Priority: optional
-Maintainer: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
 Build-Depends: debhelper,
                debhelper-compat (= 13)
 Build-Depends-Indep: dh-sequence-python3,

## cmd2 2.5.11+ds

=== Makefile ===
# Simple Makefile for use with a uv-based development environment
.PHONY: install
install: ## Install the virtual environment
	@echo "🚀 Creating virtual environment"
	@uv sync

.PHONY: check
check: ## Run code quality tools.
	@echo "🚀 Checking lock file consistency with 'pyproject.toml'"
	@uv lock --locked
	@echo "🚀 Linting code: Running pre-commit"
	@uv run pre-commit run -a
	@echo "🚀 Static type checking: Running mypy"
	@uv run mypy

.PHONY: test
test: ## Test the code with pytest.
	@echo "🚀 Testing code: Running pytest"
	@uv run python -m pytest --cov --cov-config=pyproject.toml --cov-report=xml tests
	@uv run python -m pytest --cov --cov-config=pyproject.toml --cov-report=xml tests_isolated

.PHONY: docs-test
docs-test: ## Test if documentation can be built without warnings or errors
	@uv run mkdocs build -s

.PHONY: docs
docs: ## Build and serve the documentation
	@uv run mkdocs serve

.PHONY: build
build: clean-build ## Build wheel file
	@echo "🚀 Creating wheel file"
	@uvx --from build pyproject-build --installer uv

.PHONY: clean-build
clean-build: ## Clean build artifacts
	@echo "🚀 Removing build artifacts"
	@uv run python -c "import shutil; import os; shutil.rmtree('dist') if os.path.exists('dist') else None"

.PHONY: tag
tag: ## Add a Git tag and push it to origin with syntax: make tag TAG=tag_name
	@echo "🚀 Creating git tag: ${TAG}"
	@git tag -a ${TAG} -m ""
	@echo "🚀 Pushing tag to origin: ${TAG}"
	@git push origin ${TAG}

.PHONY: validate-tag
validate-tag: ## Check to make sure that a tag exists for the current HEAD and it looks like a valid version number
	@echo "🚀 Validating version tag"
	@uv run inv validatetag

.PHONY: publish-test
publish-test: validate-tag build ## Test publishing a release to PyPI.
	@echo "🚀 Publishing: Dry run."
	@uvx twine upload --repository testpypi dist/*

.PHONY: publish
publish: validate-tag build ## Publish a release to PyPI.
	@echo "🚀 Publishing."
	@uvx twine upload dist/*

.PHONY: help
help:
	@uv run python -c "import re; \
	[[print(f'\033[36m{m[0]:<20}\033[0m {m[1]}') for m in re.findall(r'^([a-zA-Z_-]+):.*?## (.*)$$', open(makefile).read(), re.M)] for makefile in ('$(MAKEFILE_LIST)').strip().split()]"

.DEFAULT_GOAL := help

=== docs/requirements.txt ===
mkdocs-include-markdown-plugin
mkdocs-macros-plugin
mkdocs-material
pyperclip
setuptools
setuptools-scm
wcwidth

=== debian/changelog ===
cmd2 (2.5.11+ds-1) unstable; urgency=medium

  * New upstream version 2.5.11+ds
  * debian/control:
     - Added Build-depends for mkdocs build
  * debian/patches/001.disable-pluglin-not-packaged.patch:
     - Disabled puglin for not being packaged
  * debian/patches/001.fixe-doc-sphinx.patch:
     - Patch removed due to change to mkdocs
  * debian/python-cmd2-doc.links:
     - Removed unnecessary links
  * debian/rules:
     - Changed build documentation to mkdocs

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 26 Feb 2025 22:34:05 -0300

cmd2 (2.5.8+ds-1) unstable; urgency=medium

  * New upstream version 2.5.8+ds
  * debian/control: Changed "Vcs" to python namespace

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 23 Dec 2024 22:14:30 -0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,13 @@
 Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
 Build-Depends: debhelper,
                debhelper-compat (= 13)
-Build-Depends-Indep: dh-sequence-python3,
+Build-Depends-Indep: dh-sequence-mkdocs,
+                     dh-sequence-python3,
+                     mkdocs <!nodoc>,
+                     mkdocs-macros-plugin <!nodoc>,
+                     mkdocs-material <!nodoc>,
+                     mkdocstrings <!nodoc>,
+                     mkdocstrings-python-handlers <!nodoc>,
                      pybuild-plugin-pyproject,
                      python3-all,
                      python3-attr,
@@ -20,8 +26,8 @@
                      python3-wcwidth
 Standards-Version: 4.7.0
 Homepage: https://github.com/python-cmd2/cmd2
-Vcs-Git: https://salsa.debian.org/debian/python-cmd2.git
-Vcs-Browser: https://salsa.debian.org/debian/python-cmd2
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-cmd2.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cmd2
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,16 @@
 #Build sphinx HTML documentation
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -d debian/doctrees -bhtml docs/ debian/html
+ifeq ($(filter nodoc,$(DEB_BUILD_OPTIONS)),)
+	mkdocs build -d $(CURDIR)/debian/html -f $(CURDIR)/mkdocs.yml
+endif
+
+
+#Fixe privacy-breach-generic
+override_dh_installdocs:
+	dh_installdocs
+
+	find debian/python-cmd2-doc/ -name '*.html' -exec sed -i 's|https://fonts||g' {} \;
 
 #Skipping tests with unknown errors
 override_dh_auto_test:
@@ -18,7 +27,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.md
-
-override_dh_link:
-	dh_link
-	find debian/python-cmd2-doc/usr/share/doc/ -type f \( -name "*woff2*" -o -name "*woff*" -o -name "*ttf*" -o -name "*eot*" \) -delete

=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds$//,repacksuffix=+ds \
https://pypi.debian.net/cmd2/cmd2-(\d+\.\d+\.\d+)\.tar\.gz

## cmd2 3.2.0+ds

=== Makefile ===
# Simple Makefile for use with a uv-based development environment
# The at (@) prefix tells make to suppress output from the command
# The hyphen (-) prefix tells make to ignore errors (e.g., if a directory doesn't exist)

.PHONY: install
install: ## Install the virtual environment with dependencies
	@echo "🚀 Creating uv Python virtual environment"
	@uv python install 3.14
	@uv sync --python=3.14
	@echo "🚀 Installing Git pre-commit hooks locally"
	@uv run pre-commit install
	@echo "🚀 Installing Prettier using npm"
	@npm install -q --no-fund --include=dev

.PHONY: check
check: ## Run code quality tools.
	@echo "🚀 Checking lock file consistency with 'pyproject.toml'"
	@uv lock --locked
	@echo "🚀 Linting code and documentation: Running pre-commit"
	@uv run pre-commit run -a
	@echo "🚀 Static type checking: Running mypy"
	@uv run mypy

.PHONY: format
format: ## Perform ruff formatting
	@uv run ruff format

.PHONY: lint
lint: ## Perform ruff linting
	@uv run ruff check --fix

.PHONY: typecheck
typecheck: ## Perform type checking
	@uv run mypy

.PHONY: test
test: ## Test the code with pytest.
	@echo "🚀 Testing code: Running pytest"
	@uv run python -Xutf8 -m pytest --cov --cov-config=pyproject.toml --cov-report=xml tests

.PHONY: docs-test
docs-test: ## Test if documentation can be built without warnings or errors
	@uv run zensical build -s

.PHONY: docs
docs: ## Build and serve the documentation (and open in default browser)
	@uv run zensical serve -o

.PHONY: build
build: clean-build ## Build wheel file
	@echo "🚀 Creating wheel file"
	@uv build

.PHONY: tag
tag: ## Add a Git tag and push it to origin with syntax: make tag TAG=tag_name
	@echo "🚀 Creating git tag: ${TAG}"
	@git tag -a ${TAG} -m ""
	@echo "🚀 Pushing tag to origin: ${TAG}"
	@git push origin ${TAG}

.PHONY: validate-tag
validate-tag: ## Check to make sure that a tag exists for the current HEAD and it looks like a valid version number
	@echo "🚀 Validating version tag"
	@uv run scripts/validate_tag.py

.PHONY: publish-test
publish-test: validate-tag build ## Test publishing a release to PyPI, uses token from ~/.pypirc file.
	@echo "🚀 Publishing: Dry run."
	@uv run uv-publish --repository testpypi

.PHONY: publish
publish: validate-tag build ## Publish a release to PyPI, uses token from ~/.pypirc file.
	@echo "🚀 Publishing."
	@uv run uv-publish

# Define variables for files/directories to clean
BUILD_DIRS = build dist *.egg-info
DOC_DIRS = build
MYPY_DIRS = .mypy_cache dmypy.json dmypy.sock
TEST_DIRS = .cache .coverage .pytest_cache htmlcov

.PHONY: clean-build
clean-build: ## Clean build artifacts
	@echo "🚀 Removing build artifacts"
	@uv run python -c "import shutil; import os; [shutil.rmtree(d, ignore_errors=True) for d in '$(BUILD_DIRS)'.split() if os.path.isdir(d)]"

.PHONY: clean-docs
clean-docs: ## Clean documentation artifacts
	@echo "🚀 Removing documentation artifacts"
	@uv run python -c "import shutil; import os; [shutil.rmtree(d, ignore_errors=True) for d in '$(DOC_DIRS)'.split() if os.path.isdir(d)]"

.PHONY: clean-mypy
clean-mypy: ## Clean mypy artifacts
	@echo "🚀 Removing mypy artifacts"
	@uv run python -c "import shutil; import os; [shutil.rmtree(d, ignore_errors=True) for d in '$(MYPY_DIRS)'.split() if os.path.isdir(d)]"

.PHONY: clean-pycache
clean-pycache: ## Clean pycache artifacts
	@echo "🚀 Removing pycache artifacts"
	@-find . -type d -name "__pycache__" -exec rm -r {} +

.PHONY: clean-ruff
clean-ruff: ## Clean ruff artifacts
	@echo "🚀 Removing ruff artifacts"
	@uv run ruff clean

.PHONY: clean-test
clean-test: ## Clean test artifacts
	@echo "🚀 Removing test artifacts"
	@uv run python -c "import shutil; import os; [shutil.rmtree(d, ignore_errors=True) for d in '$(TEST_DIRS)'.split() if os.path.isdir(d)]"

.PHONY: clean
clean: clean-build clean-docs clean-mypy clean-pycache clean-ruff clean-test ## Clean all artifacts
	@echo "🚀 Cleaned all artifacts"

.PHONY: help
help:
	@uv run python -c "import re; \
	[[print(f'\033[36m{m[0]:<20}\033[0m {m[1]}') for m in re.findall(r'^([a-zA-Z_-]+):.*?## (.*)$$', open(makefile).read(), re.M)] for makefile in ('$(MAKEFILE_LIST)').strip().split()]"

.DEFAULT_GOAL := help

=== debian/changelog ===
cmd2 (3.2.0+ds-1) experimental; urgency=medium

  * Ran wrap-and-sort -bastk.
  * New upstream release.
    - Fixes FTBFS (Closes: #1127502).
  * Added myself as uploader.
  * Update 001.disable-pluglin-not-packaged.patch.
  * Removed part of fix-color-param.patch, applied upstream.
  * Add python3-{rich,rich-argparse} as (build-)depends.
  * Blacklist unit test test_perror_style().
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 12:04:15 +0100

cmd2 (2.5.11+ds-2) unstable; urgency=medium

  * Team upload.
  * Add fix-color-param.patch (Closes: #1123108).

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Dec 2025 13:48:06 +0100

=== debian/control ===
Source: cmd2
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper,
 debhelper-compat (= 13),
Build-Depends-Indep:
 dh-sequence-mkdocs,
 dh-sequence-python3,
 mkdocs <!nodoc>,
 mkdocs-macros-plugin <!nodoc>,
 mkdocs-material <!nodoc>,
 mkdocstrings <!nodoc>,
 mkdocstrings-python-handlers <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-attr,
 python3-pyperclip,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-mock,
 python3-rich,
 python3-rich-argparse,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-wcwidth,
Standards-Version: 4.7.0
Homepage: https://github.com/python-cmd2/cmd2
Vcs-Git: https://salsa.debian.org/python-team/packages/python-cmd2.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cmd2
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-cmd2
Architecture: all
Depends:
 python3-rich,
 python3-rich-argparse,
 python3-wcwidth,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Provides:
 ${python3:Provides},
Suggests:
 python-cmd2-doc,
Description: Enhanced Python cmd module - Python 3.x
 Drop-in replacement adds several features for command-prompt tools, like
 searchable and persistent command history, multi-line commands, input and
 output redirections, integrated Python shell, testing helpers
 .
 This package provides the Python 3.x module.

Package: python-cmd2-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Improved Python cmd2 module from (common documentation)
 Drop-in replacement adds several features for command-prompt tools, like
 searchable and persistent command history, multi-line commands, input and
 output redirections, integrated Python shell, testing helpers.
 .
 This package contains HTML documentation, incorporates instructions on how
 to install and configure and use this module Python cmd2.

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,8 @@
 	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} \
 		-m pytest -k 'not test_version and not test_path_completion_complete_user and \
 		not test_transcript and not test_find_editor_not_specified and \
-		not test_run_script_with_binary_file and not test_utils.py'"
+		not test_run_script_with_binary_file and not test_utils.py and \
+		not test_perror_style'"
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.md
